import {ModelComponentType} from "./ModelComponentType";

export class ModelComponentTypeUtillities {
  static toString(modelComponentType: ModelComponentType | undefined): string {
    switch (modelComponentType) {
      case ModelComponentType.SCRIPTACCOUNT: return "ScriptAccounts";
      case ModelComponentType.GAMESYTEM: return "Gamesystems";
      default: return "Undefined";
    }
  }

  static toSingleString(modelComponentType: ModelComponentType | undefined): string {
    switch (modelComponentType) {
      case ModelComponentType.SCRIPTACCOUNT: return "ScriptAccount";
      case ModelComponentType.GAMESYTEM: return "Gamesystem";
      default: return "Undefined";
    }
  }

  static fromString(string: string) : ModelComponentType | undefined {
    switch (string) {
      case "gamesystem": return ModelComponentType.GAMESYTEM;
      case "scriptaccount": return ModelComponentType.SCRIPTACCOUNT;
    }
  }
}
