import {SimpleState} from "../../game-model/gamesystems/states/SimpleState";
import {ScriptAccount} from "../../game-model/scriptAccounts/ScriptAccount";
import {ScriptAccountCondition} from "../../game-model/gamesystems/conditions/ScriptAccountCondition";
import {ScriptAccountConditionParser} from "./ScriptAccountConditionParser";

export class StateParser {

    private conditionParser


    constructor(scriptAccounts: ScriptAccount[]) {
      this.conditionParser = new ScriptAccountConditionParser(scriptAccounts)
    }

    public  parseStates(stateData: any): SimpleState[] {
      const parsedStates: SimpleState[] = []
      for(let i=0; i<stateData.length; i++) {
        parsedStates.push(this.parseState(stateData[i]))
      }

      return parsedStates;
    }

   private parseState(stateData: any): SimpleState {
      const initial = stateData.initial
      const stateLabel = stateData.stateLabel
      const stateDescription = stateData.stateDescription

      const conditions = this.conditionParser.parseStoredConditions(stateData.conditions)

      const simpleState = new SimpleState(stateLabel, stateDescription);
      simpleState.initial = initial;
      simpleState.conditions = conditions;

      return simpleState;
   }


}
